%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate clap_complete

Name:           rust-clap_complete
Version:        4.5.5
Release:    1%{?dist}
Summary:        Generate shell completion scripts for your clap::Command

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/clap_complete
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Generate shell completion scripts for your clap::Command.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-doc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-doc-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-doc" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-doc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-dynamic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-dynamic-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable-dynamic" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-dynamic-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.5.5-1
- initial build
